circle-exclamation
This documentation page is currently under development and may be updated frequently.

Data Hooks

Get all data webhooks

get
Authorizations
Responses
get
/api/v2/webhook/data
200

List of user's data webhooks

Create a new data webhook

post
Authorizations
Body
anyOptional
Responses
chevron-right
201

Data webhook created successfully

application/json
anyOptional
post
/api/v2/webhook/data

No content

Get data webhook by ID

get
Authorizations
Path parameters
idstringRequired
Responses
get
/api/v2/webhook/data/{id}

No content

Update data webhook

put
Authorizations
Path parameters
idstringRequired
Body
anyOptional
Responses
put
/api/v2/webhook/data/{id}

No content

Delete data webhook

delete
Authorizations
Path parameters
idstringRequired
Responses
delete
/api/v2/webhook/data/{id}

No content

Get webhook shares

get
Authorizations
Path parameters
idstringRequired
Responses
get
/api/v2/webhook/data/{id}/shares

Get LLM reactions for webhook

get
Authorizations
Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
get
/api/v2/webhook/data/{id}/llm-reactions

No content

Get code reactions for webhook

get
Authorizations
Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
get
/api/v2/webhook/data/{id}/code-reactions

No content

Share webhook with user

post
Authorizations
Path parameters
idstringRequired
Body
anyOptional
Responses
chevron-right
201

Webhook shared successfully

application/json
anyOptional
post
/api/v2/webhook/data/share/{id}

No content

Remove webhook share

delete
Authorizations
Path parameters
idstringRequired
Body
userIdstringRequired

User ID to unshare with

Responses
delete
/api/v2/webhook/data/share/{id}

No content

Update webhook status

put
Authorizations
Path parameters
idstringRequired
Body
anyOptional
Responses
put
/api/v2/webhook/data/{id}/status

No content

Get all shared data webhooks for user

get
Authorizations
Responses
get
/api/v2/webhook/data/shared
200

List of shared data webhooks accessible to user

Get data webhooks shared with specific user

get
Authorizations
Path parameters
idstringRequired

User ID to get data webhooks shared with

Responses
get
/api/v2/webhook/data/shared/with/{id}

Get data webhooks shared by specific user

get
Authorizations
Path parameters
idstringRequired

User ID to get data webhooks shared by

Responses
get
/api/v2/webhook/data/shared/by/{id}

Last updated